# Uses of Interface
org.eclipse.jface.text.source.IVerticalRulerInfo

Packages that use IVerticalRulerInfo
Package
Description
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.jface.text.revisions
Provides a revision model and a protocol to display revision information in a vertical ruler column.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of IVerticalRulerInfo in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions that return IVerticalRulerInfo
Modifier and Type
Method
Description
`protected IVerticalRulerInfo`
RulerBreakpointAction.`getVerticalRulerInfo()`
Returns the vertical ruler information this action was created for.
Methods in org.eclipse.debug.ui.actions with parameters of type IVerticalRulerInfo
Modifier and Type
Method
Description
`protected IAction`
RulerEnableDisableBreakpointActionDelegate.`createAction(ITextEditor editor, IVerticalRulerInfo rulerInfo)`
`protected IAction`
RulerRunToLineActionDelegate.`createAction(ITextEditor editor, IVerticalRulerInfo rulerInfo)`
`protected IAction`
RulerToggleBreakpointActionDelegate.`createAction(ITextEditor editor, IVerticalRulerInfo rulerInfo)`
Constructors in org.eclipse.debug.ui.actions with parameters of type IVerticalRulerInfo
Modifier
Constructor
Description
``
`RulerBreakpointAction(ITextEditor editor, IVerticalRulerInfo info)`
Constructs an action to work on breakpoints in the specified text editor with the specified vertical ruler information.
``
`RunToLineAction(IWorkbenchPart part, IDocument document, IVerticalRulerInfo rulerInfo)`
Constructs a new action to toggle a breakpoint in the given part containing the given document and ruler.
``
`ToggleBreakpointAction(IWorkbenchPart part, IDocument document, IVerticalRulerInfo rulerInfo)`
Constructs a new action to toggle a breakpoint in the given part containing the given document and ruler.

## Uses of IVerticalRulerInfo in org.eclipse.jface.text.revisions

Subinterfaces of IVerticalRulerInfo in org.eclipse.jface.text.revisions
Modifier and Type
Interface
Description
`interface`
`IRevisionRulerColumn`
A vertical ruler column capable of displaying revision (annotate) information.

## Uses of IVerticalRulerInfo in org.eclipse.jface.text.source

Subinterfaces of IVerticalRulerInfo in org.eclipse.jface.text.source
Modifier and Type
Interface
Description
`interface`
`IOverviewRuler`
This interface defines a visual component which may serve text viewers as an overview annotation presentation area.
`interface`
`IVerticalRuler`
This interface defines a visual component which may serve text viewers as an annotation presentation area.
Classes in org.eclipse.jface.text.source that implement IVerticalRulerInfo
Modifier and Type
Class
Description
`class`
`AbstractRulerColumn`
Abstract implementation of a `IVerticalRulerColumn` that uses a `Canvas` to draw the ruler contents and which handles scrolling and mouse selection.
`final class`
`AnnotationColumn`
Deprecated.
use `AnnotationRulerColumn(int)` instead.
`class`
`AnnotationRulerColumn`
A vertical ruler column showing graphical representations of annotations.
`final class`
`ChangeRulerColumn`
A vertical ruler column displaying line numbers and serving as a UI for quick diff.
`class`
`CompositeRuler`
Standard implementation of `IVerticalRuler`.
`class`
`LineNumberChangeRulerColumn`
A vertical ruler column displaying line numbers and serving as a UI for quick diff.
`class`
`OverviewRuler`
Ruler presented next to a source viewer showing all annotations of the viewer's annotation model in a compact format.
`final class`
`VerticalRuler`
A vertical ruler which is connected to a text viewer.
Methods in org.eclipse.jface.text.source that return IVerticalRulerInfo
Modifier and Type
Method
Description
`protected IVerticalRulerInfo`
AnnotationBarHoverManager.`getVerticalRulerInfo()`
Returns the vertical ruler info for this hover manager
Constructors in org.eclipse.jface.text.source with parameters of type IVerticalRulerInfo
Modifier
Constructor
Description
``
`AnnotationBarHoverManager(IVerticalRulerInfo rulerInfo, ISourceViewer sourceViewer, IAnnotationHover annotationHover, IInformationControlCreator creator)`
Creates an annotation hover manager with the given parameters.

## Uses of IVerticalRulerInfo in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return IVerticalRulerInfo
Modifier and Type
Method
Description
`protected IVerticalRulerInfo`
MarkerRulerAction.`getVerticalRulerInfo()`
Returns this action's vertical ruler info.
Methods in org.eclipse.ui.texteditor with parameters of type IVerticalRulerInfo
Modifier and Type
Method
Description
`protected abstract IAction`
AbstractRulerActionDelegate.`createAction(ITextEditor editor, IVerticalRulerInfo rulerInfo)`
The factory method creating the underlying action.
`protected IAction`
BookmarkRulerAction.`createAction(ITextEditor editor, IVerticalRulerInfo rulerInfo)`
`protected IAction`
SelectRulerAction.`createAction(ITextEditor editor, IVerticalRulerInfo rulerInfo)`
`protected IAction`
TaskRulerAction.`createAction(ITextEditor editor, IVerticalRulerInfo rulerInfo)`
Constructors in org.eclipse.ui.texteditor with parameters of type IVerticalRulerInfo
Modifier
Constructor
Description
``
`MarkerRulerAction(ResourceBundle bundle, String prefix, ITextEditor editor, IVerticalRulerInfo ruler, String markerType, boolean askForLabel)`
Creates a new action for the given ruler and editor.
``
`MarkerRulerInfoAction(ResourceBundle bundle, String prefix, IVerticalRulerInfo ruler, ITextEditor editor, String markerType, boolean askForLabel)`
Deprecated.
use super class constructor instead
``
`SelectMarkerRulerAction(ResourceBundle bundle, String prefix, ITextEditor editor, IVerticalRulerInfo ruler)`
Creates a new action for the given ruler and editor.
``
`SelectMarkerRulerInfoAction(ResourceBundle bundle, String prefix, IVerticalRulerInfo ruler, ITextEditor editor)`
Deprecated.
As of 2.1 replaced by `SelectMarkerRulerAction(ResourceBundle, String, ITextEditor, IVerticalRulerInfo)`